Subject: Re: [kitten] SASL + (Oauth, SAML, OpenID) email client
From: Luca Frosini <[email-masked]>
To: William Mills <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 10 Feb 2012 11:00:09 +0100
List-Id: Common Authentication Technologies - Next Generation <kitten.ietf.org>

Hi William,

thanks for your answer.
My needs is to investigate such technologies with our smtp, pop, imap 
server.

I found your project in github and I already evaluated to try to 
integrate it with some webmail like roundcube for my test, in this case 
I'll be happy to contribute. Thanks for proposing it.

Luca

On 10/02/2012 10:38, William Mills wrote:
> There is a very very rough and as yet incomplete Cyrus SASL plugin for 
> OAuth.  I've been working on it but lacked an actual auth server and 
> RP implementation to integrate against.   So...  The thing that works 
> is the framework with a  dummy PHP auth server and a stub 
> authenticator library.
>
> The link is https://github.com/sweetums/SASL-OAuth and there's been a 
> bit of work since that point but I did not have it working enough 
> locally to do another code drop.
>
> So if you want real reusable working code ready for prime time, this 
> ain't it yet.  If you want to get you hands in the code and help 
> finish it I'm more than happy to have help (and it would incidentally 
> force me to make time to work on it).
>
> There is also a serious question outstanding as to whether the SASL 
> message payload format in the draft standard will change from HTTP to 
> JSON.  That would be a huge change in some ways, but since that plugin 
> already needs JSON for OAuth 2 errors and such there's no big new 
> packages to pull in.
>
> -bill
>
> ------------------------------------------------------------------------
> *From:* Luca Frosini <[email-masked]>
> *To:* [email-masked]
> *Sent:* Friday, February 10, 2012 1:14 AM
> *Subject:* [kitten] SASL + (Oauth, SAML, OpenID) email client
>
> Anybody knows if there is an email client that already implements the 
> draft version of one of SASL + (Oauth, SAML, OpenID) or a plugin for 
> one of these?
>
> Thanks in advance
>
> Luca
>
> _______________________________________________
> Kitten mailing list
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/kitten
>
>

-- 
Ing. Luca Frosini

Istituto di Scienza e Tecnologie dell'Informazione "A. Faedo" (ISTI)
Italian National Research Council (CNR)

G. Moruzzi, 1 - 56124 Pisa, Italy
Area della Ricerca CNR di Pisa

Mob: (+39)  339 7697029
Web-site: http://www.lucafrosini.com
Skype: luca.frosini